Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class SequenceReceiver

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

Direct Known Subclasses:
  ComplexContentOutputter, SequenceOutputter, TeeOutputter, TreeReceiver

public abstract class SequenceReceiver
extends java.lang.Object
implements Receiver

SequenceReceiver: this extension of the Receiver interface is used when processing a sequence constructor. It differs from the Receiver in allowing items (atomic values or nodes) to be added to the sequence, not just tree-building events.

Field Summary
`protected PipelineConfiguration` | `pipelineConfiguration`
`protected boolean` | `previousAtomic`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SequenceReceiver()`

Method Summary
`abstract void` | `append(Item item, int locationId, int copyNamespaces)` Output an item (atomic value or node) to the sequence
`Configuration` | `getConfiguration()`
`NamePool` | `getNamePool()` Get the name pool
`PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration
`java.lang.String` | `getSystemId()`
`void` | `open()` Start the output process
`void` | `setPipelineConfiguration(PipelineConfiguration pipelineConfiguration)` Set the pipeline configuration
`void` | `setSystemId(java.lang.String systemId)` Set the System ID of the destination tree
`void` | `setUnparsedEntity(java.lang.String name, java.lang.String systemId, java.lang.String publicId)` Notify an unparsed entity URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.event.Receiver
`attribute, characters, close, comment, endDocument, endElement, namespace, processingInstruction, startContent, startDocument, startElement`

Field Detail

### previousAtomic

    protected boolean previousAtomic

### pipelineConfiguration

    protected PipelineConfiguration pipelineConfiguration

Constructor Detail

### SequenceReceiver

    public SequenceReceiver()

Method Detail

### getPipelineConfiguration

    public PipelineConfiguration getPipelineConfiguration()

  Description copied from interface: `Receiver`
  Get the pipeline configuration

  Specified by:
    `getPipelineConfiguration` in interface `Receiver`

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipelineConfiguration)

  Description copied from interface: `Receiver`
  Set the pipeline configuration

  Specified by:
    `setPipelineConfiguration` in interface `Receiver`

### getConfiguration

    public Configuration getConfiguration()

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Description copied from interface: `Receiver`
  Set the System ID of the destination tree

  Specified by:
    `setSystemId` in interface `Receiver`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.transform.Result`

### setUnparsedEntity

    public void setUnparsedEntity(java.lang.String name,
                                  java.lang.String systemId,
                                  java.lang.String publicId)
                           throws XPathException

  Description copied from interface: `Receiver`
  Notify an unparsed entity URI.

  Specified by:
    `setUnparsedEntity` in interface `Receiver`
  Parameters:
    `name` - The name of the unparsed entity
    `systemId` - The system identifier of the unparsed entity
    `publicId` - The public identifier of the unparsed entity
  Throws:
    `XPathException`

### open

    public void open()
              throws XPathException

  Start the output process

  Specified by:
    `open` in interface `Receiver`
  Throws:
    `XPathException`

### append

    public abstract void append(Item item,
                                int locationId,
                                int copyNamespaces)
                         throws XPathException

  Output an item (atomic value or node) to the sequence

  Throws:
    `XPathException`

### getNamePool

    public NamePool getNamePool()

  Get the name pool

  Returns:
    the Name Pool that was supplied using the setConfiguration() method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD